Bug 9476 - Use Datatables on Koha news page
Summary: Use Datatables on Koha news page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL: /cgi-bin/koha/tools/koha-news.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-24 01:37 UTC by Owen Leonard
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9476 - Use Datatables on Koha news page (2.25 KB, patch)
2013-01-24 01:44 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9476 - Use Datatables on Koha news page (2.43 KB, patch)
2013-02-06 14:08 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9476 [Revised] Use Datatables on Koha news page (2.65 KB, patch)
2013-02-06 15:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9476: Use Datatables on Koha news page (2.61 KB, patch)
2013-02-06 16:32 UTC, Galen Charlton
Details | Diff | Splinter Review
Bug 9476: Use Datatables on Koha news page (2.67 KB, patch)
2013-02-07 11:00 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-01-24 01:37:32 UTC
The Koha news page uses the old tablesorter plugin. It should use the DataTables plugin instead.
Comment 1 Owen Leonard 2013-01-24 01:44:23 UTC Comment hidden (obsolete)
Comment 2 Galen Charlton 2013-02-06 04:41:31 UTC
Patch doesn't apply to master -- please rebase and resubmit.
Comment 3 Owen Leonard 2013-02-06 14:08:18 UTC Comment hidden (obsolete)
Comment 4 Galen Charlton 2013-02-06 15:22:21 UTC
With the revised patch, I get the following error:

Template process failed: file error - parse error - /home/gmc/koha/koha-tmpl/intranet-tmpl/prog/en/modules/tools/koha-news.tt line 202: unexpected end of input at /home/gmc/koha/C4/Templates.pm line 132.

Looks like the "[% IF ( opac_news_count ) %]" introduced by the patch isn't closed.
Comment 5 Owen Leonard 2013-02-06 15:58:24 UTC Comment hidden (obsolete)
Comment 6 Galen Charlton 2013-02-06 16:32:41 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2013-02-07 11:00:27 UTC
QA comment:

Replace tablesorter with datatable on the koha-news tool page.
Works great.

Marked as Passed QA.
Comment 8 Jonathan Druart 2013-02-07 11:00:41 UTC
Created attachment 15131 [details] [review]
Bug 9476: Use Datatables on Koha news page

Replace the tablesorter plugin with the DataTables plugin on the
Koha news page.

To test, open the Koha news page (Tools -> News). Confirm that table sorting
works correctly.

Signed-off-by: Galen Charlton <gmc@esilibrary.com>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 9 Jared Camins-Esakov 2013-02-07 12:40:07 UTC
This patch has been pushed to master.